// file header 
#include "contocorrente.h"

// implementazione delle funzioni membro

ContoCorrente::ContoCorrente(const float& cifra = 0.0)
{
   //automaticamente messo a zero se non viene fornito cifra

                   //this e' un puntatore
   mSaldo = cifra; // per accedere al membro NON serve (*this).mSaldo
}

void ContoCorrente::prelevare(const float& cifra)
{
   // cifra positiva?
   mSaldo -= std::abs(cifra);
}

void ContoCorrente::versare(const float& cifra)
{
   // cifra positiva?
   mSaldo += std::abs(cifra);
}

const float& ContoCorrente::saldo() const
{
   return (mSaldo);
}

